Subject: Re: [Bugme-new] [Bug 7665] New: getsockopt(IPV6_*CAST_HOPS) returns -1

From: Brian Haley <[email-masked]>
Date: Wed, 13 Dec 2006 12:28:47 -0500

David Miller wrote:
> I wonder, since the most accurate return value is tied to the route,
> what is expected of this getsockopt() before a socket's identity
> (and therefore route) is known?

A search for RTAX_HOPLIMIT found very little code that ever sets it, 
iproute2 was the only important one, so the interface/system default is 
probably the only one that's ever used.

-Brian